Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 49 lines (38 sloc) 1.148 kB
356373b @ugisozols Apply chnages recently made in main refinerycms repo.
ugisozols authored
1 source "https://rubygems.org"
21b19db @reset refactor engine testing scenario
reset authored
2
aed0b8f @reset Move gemspec method to top of file
reset authored
3 gemspec
4
733b86d @parndt Updated Gemfile definitions
parndt authored
5 git "https://github.com/refinery/refinerycms", branch: "master" do
6 gem 'refinerycms'
bada2a8 @ugisozols Cleanup Gemfile and depend on relased version of friendly_id.
ugisozols authored
7
733b86d @parndt Updated Gemfile definitions
parndt authored
8 group :development, :test do
9 gem 'refinerycms-testing'
10 end
11 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
12
d846003 @parndt Removed coupling to refinerycms-wymeditor.
parndt authored
13 # Add the default visual editor, for now.
14 gem 'refinerycms-wymeditor', ['~> 1.0', '>= 1.0.6']
15
bada2a8 @ugisozols Cleanup Gemfile and depend on relased version of friendly_id.
ugisozols authored
16 group :test do
ea67de1 @parndt Upgraded some testing syntax, changed to selenium for more passable r…
parndt authored
17 gem 'pry'
18 gem 'launchy'
f439d75 @anitagraham Switch to poltergeist from selenium
anitagraham authored
19 gem 'poltergeist'
bada2a8 @ugisozols Cleanup Gemfile and depend on relased version of friendly_id.
ugisozols authored
20 end
21
356373b @ugisozols Apply chnages recently made in main refinerycms repo.
ugisozols authored
22 # Database Configuration
23 unless ENV['TRAVIS']
24 gem 'activerecord-jdbcsqlite3-adapter', :platform => :jruby
25 gem 'sqlite3', :platform => :ruby
26 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
27
356373b @ugisozols Apply chnages recently made in main refinerycms repo.
ugisozols authored
28 if !ENV['TRAVIS'] || ENV['DB'] == 'mysql'
29 gem 'activerecord-jdbcmysql-adapter', :platform => :jruby
30 gem 'jdbc-mysql', '= 5.1.13', :platform => :jruby
31 gem 'mysql2', :platform => :ruby
32 end
9363e8d @reset Update Gemfile to what would be generated by Refinerycms
reset authored
33
356373b @ugisozols Apply chnages recently made in main refinerycms repo.
ugisozols authored
34 if !ENV['TRAVIS'] || ENV['DB'] == 'postgresql'
35 gem 'activerecord-jdbcpostgresql-adapter', :platform => :jruby
36 gem 'pg', :platform => :ruby
eca7a1a @reset Remove spork as a development dependency
reset authored
37 end
38
bada2a8 @ugisozols Cleanup Gemfile and depend on relased version of friendly_id.
ugisozols authored
39 # Refinery/rails should pull in the proper versions of these
40 group :assets do
41 gem 'sass-rails'
42 gem 'coffee-rails'
cfba1b8 @reset Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
reset authored
43 end
7ae6e14 @ugisozols Use arel 2.1.4 for now because 2.1.5 got yanked.
ugisozols authored
44
356373b @ugisozols Apply chnages recently made in main refinerycms repo.
ugisozols authored
45 # Load local gems according to Refinery developer preference.
46 if File.exist? local_gemfile = File.expand_path('../.gemfile', __FILE__)
47 eval File.read(local_gemfile)
48 end
Something went wrong with that request. Please try again.